> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Certificate By Id

> Get user certificate by id



## OpenAPI

````yaml get /users/certificates/{cert_id}
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/certificates/{cert_id}:
    get:
      tags:
        - users
      summary: Get User Certificate By Id
      description: Get user certificate by id
      operationId: get_user_certificate_by_id_users_certificates__cert_id__get
      parameters:
        - name: cert_id
          in: path
          required: true
          schema:
            type: string
            title: Cert Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserCertificateResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserCertificateResponse:
      properties:
        id:
          type: string
          title: Id
        is_activated:
          type: boolean
          title: Is Activated
        activated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Activated At
        qr_code:
          anyOf:
            - $ref: '#/components/schemas/UserCertificateQrCodeResponse'
            - type: 'null'
        item:
          $ref: '#/components/schemas/UnifiedItemUpcomingRoundResponse'
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        promo_code:
          $ref: '#/components/schemas/UserCertificatePromoCodeResponse'
        round:
          $ref: '#/components/schemas/UserCertificateRoundResponse'
        attribute_values:
          anyOf:
            - items:
                $ref: '#/components/schemas/UserCertificateAttributesResponse'
              type: array
            - items: {}
              type: array
          title: Attribute Values
          default: []
      type: object
      required:
        - id
        - is_activated
        - item
        - promo_code
        - round
      title: UserCertificateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserCertificateQrCodeResponse:
      properties:
        image_url:
          type: string
          title: Image Url
        private_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Private Image Url
        is_activated:
          type: boolean
          title: Is Activated
      type: object
      required:
        - image_url
        - is_activated
      title: UserCertificateQrCodeResponse
    UnifiedItemUpcomingRoundResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        platform_price:
          type: number
          title: Platform Price
        price:
          type: integer
          title: Price
        start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Time
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        event_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type
        assets:
          anyOf:
            - items:
                $ref: '#/components/schemas/UnifiedItemRoundAssetResponse'
              type: array
            - type: 'null'
          title: Assets
          default: []
        participants_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participants Limit
        store:
          $ref: '#/components/schemas/ProductUpcomingRoundStoreGetResponse'
        location:
          anyOf:
            - $ref: '#/components/schemas/UnifiedEventLocationResponse'
            - type: 'null'
        format_price:
          type: string
          title: Format Price
          readOnly: true
      type: object
      required:
        - id
        - name
        - platform_price
        - price
        - store
        - format_price
      title: UnifiedItemUpcomingRoundResponse
    UserCertificatePromoCodeResponse:
      properties:
        id:
          type: string
          title: Id
        promo_code:
          type: string
          title: Promo Code
        expired_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expired At
        discount_percent:
          type: integer
          title: Discount Percent
        is_for_winner:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is For Winner
        format_expired_at:
          type: integer
          title: Format Expired At
          readOnly: true
      type: object
      required:
        - id
        - promo_code
        - discount_percent
        - format_expired_at
      title: UserCertificatePromoCodeResponse
    UserCertificateRoundResponse:
      properties:
        id:
          type: string
          title: Id
        uniq_id:
          type: string
          title: Uniq Id
      type: object
      required:
        - id
        - uniq_id
      title: UserCertificateRoundResponse
    UserCertificateAttributesResponse:
      properties:
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
      type: object
      required:
        - name
        - value
      title: UserCertificateAttributesResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UnifiedItemRoundAssetResponse:
      properties:
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        type:
          type: string
          title: Type
        sort_order:
          type: integer
          title: Sort Order
        is_primary:
          type: boolean
          title: Is Primary
      type: object
      required:
        - name
        - path
        - type
        - sort_order
        - is_primary
      title: UnifiedItemRoundAssetResponse
    ProductUpcomingRoundStoreGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        is_blogger:
          type: boolean
          title: Is Blogger
        seller_type:
          type: string
          title: Seller Type
          readOnly: true
      type: object
      required:
        - id
        - name
        - is_blogger
        - seller_type
      title: ProductUpcomingRoundStoreGetResponse
    UnifiedEventLocationResponse:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        address:
          type: string
          title: Address
      type: object
      required:
        - address
      title: UnifiedEventLocationResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````